#padre{
    width: 80vw;
    height: 70vh;
    background-color: #2196F3;
    padding: 10px;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-template-rows: 100px 100px 100px;
    gap: 5px;
    grid-template-areas: 
    "cabeza cabeza cabeza cabeza cabeza cabeza"
    "menu menu centro centro dere dere"
    "menu menu pie pie pie pie";
}
div, footer, header{
    background-color: rgba(255, 255, 255, 0.8);
    font-size: 30px;
    display: flex;
    justify-content: center;
}
.pie{
    grid-area: pie;
    /*grid-column: 3/7;*/
}
.cabeza{
    grid-area: cabeza;
    /*grid-column: 1/7;*/
}
.menu{
    grid-area: menu;
    /*grid-column: 1/3;
    grid-row: 2/4;*/
}
.dere{
    grid-area: dere;
    /*grid-column: 5/7;*/
}
.centro{
    grid-area: centro;
    /*grid-column: 3/5;*/
}

@media all and (max-width: 600px){
    #padre{
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: 100px 100px 100px 100px;
        grid-template-areas: 
        "cabeza cabeza cabeza"
        "centro centro menu"
        "dere dere menu"
        "pie pie menu";
    }
    /*.cabeza{
        grid-column: 1/4;
    }
    .menu{
        grid-column: 3/4;
        grid-row: 2/5;
    }
    .centro, .dere, .pie{
        grid-column: 1/3;
    }*/
}
